from api.views import (RegisterView, AccountActivationView, ForgotPassword,
                       Logout, ApiAuthToken, ContactUsView, GetPoints,
                       GetGifts, LocationsGift, ReserveGift, GetVouchers,
                       LocationsVoucher, ReserveVoucher, UserDetail,
                       UpdatePasswordView, GetWishes, PostWishes, RedeemableGifts,
                       RedeemableVouchers, TransferPoints, MyStatement, RegionList,
                       PasswordSetCompleteView, MyCardNumber)
from django.contrib.auth.views import PasswordResetView
from django.urls import path

app_name = 'api'

urlpatterns = [
    path('api-token-auth/', ApiAuthToken.as_view()),
    path('register/', RegisterView.as_view(), name='register-user'),
    path('logout/', Logout.as_view(), name='logout'),
    path('account_activation/<uidb64>/<token>/', AccountActivationView.as_view(),
        name='account-activation'),
    path('reset/<uidb64>/<token>/', AccountActivationView.as_view(),
        name='password-reset-link'),
    path('forgot-password/', ForgotPassword.as_view(), name='forgot-password'),
    path('reset/done/', PasswordSetCompleteView.as_view(), name='password_reset_complete'),
    path('password_reset/', PasswordResetView.as_view(), name='password_reset'),
    path('contact/', ContactUsView.as_view(), name='contact-us'),
    path('points/', GetPoints.as_view(), name='points'),
    path('gifts/', GetGifts.as_view(), name='gifts'),
    path('locations/', LocationsGift.as_view()),
    path('reserve-gift/', ReserveGift.as_view()),
    path('vouchers/', GetVouchers.as_view()),
    path('locations-voucher/', LocationsVoucher.as_view()),
    path('reserve-voucher/', ReserveVoucher.as_view()),
    path('current-user/', UserDetail.as_view()),
    path('update-password/', UpdatePasswordView.as_view()),
    path('get-wishes/', GetWishes.as_view()),
    path('wishes/', PostWishes.as_view()),
    path('my-gifts/', RedeemableGifts.as_view()),
    path('my-vouchers/', RedeemableVouchers.as_view()),
    path('transfer-points/', TransferPoints.as_view()),
    path('my-statement/', MyStatement.as_view()),
    path('regions/', RegionList.as_view()),
    path('my-card-number/', MyCardNumber.as_view())
]
